Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
Class ANSI.RenderMessageSource

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.tools.shell.util.MessageSource
              org.codehaus.groovy.tools.shell.util.ANSI.RenderMessageSource

All Implemented Interfaces:
  GroovyObject

Enclosing class:
  ANSI

    public static class ANSI.RenderMessageSource

extends MessageSource

Constructor Summary
`ANSI.RenderMessageSource(Class type)`
`ANSI.RenderMessageSource(Class[] types)`
`ANSI.RenderMessageSource(String name)`
`ANSI.RenderMessageSource(String[] names)`

Method Summary
`String` | `getMessage(String code)` Get a raw message from the resource bundles using the given code.

Methods inherited from class org.codehaus.groovy.tools.shell.util.MessageSource
`format, getProperty`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, invokeMethod, setMetaClass, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ANSI.RenderMessageSource

    public ANSI.RenderMessageSource(String[] names)

### ANSI.RenderMessageSource

    public ANSI.RenderMessageSource(String name)

### ANSI.RenderMessageSource

    public ANSI.RenderMessageSource(Class[] types)

### ANSI.RenderMessageSource

    public ANSI.RenderMessageSource(Class type)

Method Detail

### getMessage

    public String getMessage(String code)

  Description copied from class: `MessageSource`
  Get a raw message from the resource bundles using the given code.

  Overrides:
    `getMessage` in class `MessageSource`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD